curl -X POST "https://www.sharkfac.com/api/v1/facturas/112/revertir-anulacion" \
-H "x-sharkfac-key: TU_API_KEY_AQUI"
fetch("https://www.sharkfac.com/api/v1/facturas/112/revertir-anulacion", {
method: "POST",
headers: {
"x-sharkfac-key": "TU_API_KEY_AQUI"
}
})
.then(res => res.text())
.then(console.log);
Facturación
Revertir Anulación
Revierte la anulación de una factura en el SIAT.
POST
/
api
/
v1
/
facturas
/
{id}
/
revertir-anulacion
curl -X POST "https://www.sharkfac.com/api/v1/facturas/112/revertir-anulacion" \
-H "x-sharkfac-key: TU_API_KEY_AQUI"
fetch("https://www.sharkfac.com/api/v1/facturas/112/revertir-anulacion", {
method: "POST",
headers: {
"x-sharkfac-key": "TU_API_KEY_AQUI"
}
})
.then(res => res.text())
.then(console.log);
Revierte una solicitud de anulación previa, devolviendo la validez legal a la factura.
Solo es posible realizar esta operación dentro de los plazos permitidos por el SIAT.
Path Parameters
integer
required
ID interno de la factura cuya anulación deseas revertir.
Headers
string
required
Tu API Key secreta.
Ejemplo de petición
curl -X POST "https://www.sharkfac.com/api/v1/facturas/112/revertir-anulacion" \
-H "x-sharkfac-key: TU_API_KEY_AQUI"
fetch("https://www.sharkfac.com/api/v1/facturas/112/revertir-anulacion", {
method: "POST",
headers: {
"x-sharkfac-key": "TU_API_KEY_AQUI"
}
})
.then(res => res.text())
.then(console.log);
Respuesta
Anulación revertida exitosamente. La factura vuelve a ser VÁLIDA.

